## elmerfem 5.5.0.svn.4214.dfsg

=== elmerparam/src/R/Makefile ===
all:

install:
	R CMD build elmerparam
	R CMD INSTALL -l /home/edelmann/elmer/lib/R elmerparam

distdir: clean
	cp -r ./* $(distdir)/

clean:
	rm -f elmerparam/src/*.{o,so}

check:

=== elmerparam/src/matlab/Makefile ===
all: elmer_param.

elmer_param.: elmer_param.c
	mex elmer_param.c -I.. -L.. -lelmerparam -lm

install: elmer_param.
	cp elmer_param. /home/edelmann/elmer/lib

distdir: clean
	cp -r ./* $(distdir)/

clean:
	rm -f elmer_param.

check:

## elmerfem 5.5.0.svn.4458.dfsg

=== debian/changelog ===
elmerfem (5.5.0.svn.4458.dfsg-2.1ubuntu1) maverick; urgency=low

  * Casting patch for qreal (is not double on armel) (LP: #624631) 

 -- David Sugar <david.sugar@canonical.com>  Thu, 26 Aug 2010 23:19:23 +0200

elmerfem (5.5.0.svn.4458.dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build ElmerGUI against the current default Python version
    (Closes: #539096)

 -- Stefano Rivera <stefano@rivera.za.net>  Fri, 18 Jun 2010 17:25:04 +0200

elmerfem (5.5.0.svn.4458.dfsg-2) unstable; urgency=low

  * Make sure patches apply before building (closes: #580207).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 05 May 2010 08:44:00 -0400

elmerfem (5.5.0.svn.4458.dfsg-1) unstable; urgency=low

  * New upstream revision.
  * Added patch removal to debian/rules clean target, and quilt Build-Depends.
  * Updated BLAS and LAPACK linking.
  * Had to Build-Conflict with libatlas3gf-base to avoid collisions.
  * Added >= 5.4 versioned Build-Depends for libvtk5-qt4-dev (closes: #580207).
  * Patched fem directory to ignore -little to build on SH4 (closes: #575181).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 04 May 2010 19:16:48 -0400

elmerfem (5.5.0.svn.4388.dfsg-1) unstable; urgency=low

  * New upstream revision.
  * Changed to 3.0 (quilt) source format.
  * Changed to VTK 5.4 (closes: #569406, #569951).
  * Made clean target really work.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sat, 06 Mar 2010 17:54:49 -0500

elmerfem (5.5.0.svn.4298.dfsg-1) unstable; urgency=low

  * New upstream revision.
  * Change BLAS and LAPACK links to -lblas-3gf and -llapackgf-3, and change
    Build-Depends accordingly.
  * Include BLAS and stdc++ libs in ViewFactors (closes: #554323).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 16 Dec 2009 16:31:52 -0500

elmerfem (5.5.0.svn.4262.dfsg-1) unstable; urgency=low

  * New upstream revision changes getline() to readline() in elmerparam
    (closes: #552887).
  * Changed libreadline5-dev to libreadline-dev in Build-Depends
    (closes: #553750).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 02 Nov 2009 19:07:18 -0500

elmerfem (5.5.0.svn.4256.dfsg-1) unstable; urgency=low

  * New upstream revision.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 08 Oct 2009 09:48:57 -0400

elmerfem (5.5.0.svn.4214.dfsg-2) unstable; urgency=low

  [ Christian Perrier <bubulle@debian.org> ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #540139
  * [Debconf translation updates]
    - Basque. Closes: #541446
    - Czech. Closes: #541448
    - Estonian. Closes: #541474
    - Swedish. Closes: #541724
    - Portuguese. Closes: #542022
    - German. Closes: #542682
    - Italian. Closes: #543516
    - Spanish. Closes: #543620
    - Russian. Closes: #543707, #543948
    - Finnish (Esko Arajärvi).  Closes: #544216
    - French (Christian Perrier). Closes: #544508

  [ Adam C. Powell, IV ]
  * Added Suggests for new (non-free) elmer-doc package.
  * Bumped Standards-Version.
  * New README.source describes quilt patch system.
  * [Debconf translation updates]
    - Vietnamese. Closes: #547885

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 01 Oct 2009 21:20:53 -0400

elmerfem (5.5.0.svn.4214.dfsg-1) unstable; urgency=low

  * New upstream from SVN revision 4214.
  * Added -fPIC to CFLAGS, CXXFLAGS and FCFLAGS so screensave.so and libhuti.a
    build with it (closes: #534647).
  * Removed backslashes from Build-Depends (closes: #535292).
  * Patched ElmerGUI default partition style to nodal for Scotch compatibility
    (closes: #532636).
  * Resolved circular dependency by making elmer-common Recommend and not
    Depend on elmer (closes: #531874).
  * All EDF .xml files are now in edf-extra, and added a debconf mechanism to
    create symlinks in edf (closes: #532637).
  * Added elmerparam to the list of built modules, and r-base-core to
    Build-Depends, and patched elmerparam to use destdir properly
    (closes: #536120).
  * Versioned Build-Depends on debhelper >=5.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 07 Jul 2009 14:41:40 -0400

elmerfem (5.5.0.svn.4190.dfsg-3) unstable; urgency=low

  * Added libqt4-opengl-dev to Build-Depends (closes: #531423).
  * Added edf-extra files to allow users to include all models.
  * New README.Debian explains various aspects of this package.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 02 Jun 2009 20:50:42 -0400

elmerfem (5.5.0.svn.4190.dfsg-2) unstable; urgency=low

  * Changed python-qt4 to python-qt4-dev in Build-Depends (closes: #530876).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 28 May 2009 09:28:20 -0400

elmerfem (5.5.0.svn.4190.dfsg-1) unstable; urgency=low

  * New upstream from SVN revision 4190.
  * Moved from experimental to unstable now that Qt 4.5 has moved.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 27 May 2009 23:45:31 -0400

elmerfem (5.5.0.svn.4096.dfsg-1) experimental; urgency=low

  * Using SVN sources.
  * New ElmerGUI uses QWT, VTK, and Open Cascade.
  * Added libscotchmetis-dev to Build-Depends (careless omission).
  * Changed openmpi-* dependencies to mpi-default-* .
  * Added alternatives mechanism to enable installation of more than one
    libelmersolver shlib package.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 08 Apr 2009 16:58:46 -0400

elmerfem (5.4.1.dfsg-4) unstable; urgency=low

  * Added references to /usr/share/common-licenses/LGPL-2 in copyright file.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 29 Dec 2008 17:31:39 -0500

elmerfem (5.4.1.dfsg-3) unstable; urgency=low

  * Now that ARPACK is free and in unstable, this can go into main.
  * Added comments to quilt patches.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 07 Dec 2008 06:12:52 +0900

elmerfem (5.4.1.dfsg-2) unstable; urgency=low

  * Patched to avoid trying to call METIS_PartMeshDual and Nodal, pending fix


=== debian/control ===
Source: elmerfem
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
 gfortran, libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
 mpi-default-dev, mpi-default-bin,
 libhypre-dev, libsuitesparse-dev, libarpack2-dev, libreadline-dev,
 libncurses5-dev, libx11-dev, tk8.4-dev, tcl8.4-dev, libfreetype6-dev,
 libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libopencascade-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
 libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.4), python-qt4-dev, libscotchmetis-dev,
 r-base-core
Build-Conflicts: libatlas3gf-base
Homepage: http://www.csc.fi/elmer/

Package: elmer
Architecture: any
Section: science
Depends: elmer-common (= ${source:Version}), ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
Suggests: elmer-doc
Description: finite element multiphysics suite - binaries
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer binaries, including the solver (single- and
 multi-processor versions), GUI, and post-processor.

Package: elmer-common
Architecture: all
Section: science
Depends: ttf-freefont, ${misc:Depends}
Recommends: elmer (>= ${source:Version})
Description: finite element multiphysics suite - architecture-independent files
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the architecture-independent files for Elmer.

Package: libelmersolver-5.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libelmer-dev
Conflicts: libelmersolver-5.4.1
Replaces: libelmersolver-5.4.1
Description: finite element multiphysics suite - library
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer solver shared library.

Package: libelmer-dev
Architecture: any
Depends: elmer (= ${binary:Version}), libelmersolver-5.5.0 (= ${binary:Version}), libarpack2-dev, ${misc:Depends}
Section: libdevel
Description: finite element multiphysics suite - development files
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package contains the static libraries and header files for eio, huti, and
 matc, as well as the Elmer solver shared library symlink. These are used for
 developing Elmer, and are not needed to run the software.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=elmer

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := 1
endif

ELMER_MODULES = eio matc elmerparam hutiter meshgen2d fem front elmergrid post

# The build process modifies these files, so we need to move them aside in
# order for the clean process to restore the tree to its original state
BACKUP_FILES = eio/Makefile.in eio/configure eio/include/Makefile.in \
  eio/src/Makefile.in elmergrid/Makefile.in elmergrid/aclocal.m4 \
  elmergrid/configure elmergrid/src/Makefile.in elmerparam/Makefile.in \
  elmerparam/aclocal.m4 elmerparam/config.h.in elmerparam/configure \
  elmerparam/src/Makefile.in elmerparam/src/R/Makefile \
  elmerparam/src/R/elmerparam/src/Makevars elmerparam/src/matlab/Makefile \
  elmerparam/test/Makefile.in fem/Makefile.in fem/aclocal.m4 fem/config.h \
  fem/configure fem/stamp-h1 fem/src/Makefile.in fem/src/binio/Makefile.in \
  fem/src/binio/test/Makefile.in fem/src/view3d/Makefile.in \
  fem/src/viewaxis/Makefile.in fem/tests/Makefile.in fem/tests/runtests \
  front/Makefile.in front/aclocal.m4 front/configure front/include/Makefile.in\
  front/src/Makefile.in front/src/tcl/ecif_tcl_mainScript.tcl \
  hutiter/Makefile.in hutiter/configure hutiter/examples/Makefile.in \
  hutiter/examples/ex1/Makefile.in hutiter/include/Makefile.in \
  hutiter/src/Makefile.in matc/Makefile.in matc/aclocal.m4 matc/configure \
  matc/src/Makefile.in meshgen2d/Makefile.in meshgen2d/aclocal.m4 \
  meshgen2d/configure meshgen2d/src/Makefile.in \
  meshgen2d/src/include/Makefile.in post/Makefile.in post/aclocal.m4 \
  post/configure post/src/Makefile.in post/src/camera/Makefile.in \
  post/src/elements/Makefile.in post/src/glaux/Makefile.in \
  post/src/graphics/Makefile.in post/src/modules/Makefile.in \
  post/src/objects/Makefile.in post/src/sico2elmer/Makefile.in \
  post/src/tcl/Makefile.in post/src/tk/Makefile.in post/src/visuals/Makefile.in

MISSING_FILES = eio/NEWS eio/README eio/AUTHORS eio/ChangeLog \
  matc/NEWS matc/README matc/AUTHORS matc/ChangeLog matc/COPYING \
  meshgen2d/NEWS meshgen2d/README meshgen2d/AUTHORS meshgen2d/ChangeLog \
  meshgen2d/COPYING meshgen2d/INSTALL \
  fem/NEWS fem/AUTHORS fem/ChangeLog fem/COPYING fem/INSTALL \
  front/NEWS front/README front/AUTHORS front/COPYING front/INSTALL \
  elmergrid/NEWS elmergrid/README elmergrid/AUTHORS elmergrid/ChangeLog \
  elmergrid/COPYING elmergrid/INSTALL elmergrid/src/metis/Makefile.am \
  post/NEWS post/AUTHORS post/ChangeLog post/COPYING post/INSTALL

clean:
	dh_testdir
	for elmermodule in $(ELMER_MODULES); do \
	  if [ -e $$elmermodule/Makefile ]; then \
	    echo; echo CLEANING ELMER MODULE $$elmermodule; echo; \
	    make -C $$elmermodule maintainer-clean; \
	  fi; \
	done
	if [ -e ElmerGUI/Makefile ]; then \
	  make -C ElmerGUI distclean; \
	fi
	if [ -e ElmerGUIlogger/Makefile ]; then \
	  make -C ElmerGUIlogger distclean; \
	fi
	for missingfile in $(MISSING_FILES); do rm -f $$missingfile; done
	for backupfile in $(BACKUP_FILES); do \
	  if [ -e $$backupfile.bak ]; then \
	    mv -f $$backupfile.bak $$backupfile; \
	  fi; \
	done
	rm -rf elmergrid/src/metis post/src/fonts/TrueType
	rm -rf ElmerGUI/PythonQt/lib ElmerGUI/matc/lib ElmerGUI/netgen/ngcore \
	  ElmerGUIlogger/ElmerGUIlogger.pro
	rm -f stamp-*
	if [ -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a; \
	  rm -rf .pc; \
	fi
	dh_clean

patch:
	if [ ! -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a; \
	fi

# In a bit of a hack, the "build" target configures, builds and installs, so
# modules can depend on each other
build: stamp-build
stamp-build: patch
	dh_testdir
	for backupfile in $(BACKUP_FILES); do \
	  cp $$backupfile $$backupfile.bak; \
	done
	mkdir elmergrid/src/metis
	mkdir post/src/fonts/TrueType
	for missingfile in $(MISSING_FILES); do touch $$missingfile; done
	for aclocaldir in eio matc elmerparam hutiter meshgen2d fem front elmergrid post; do \
	  echo Running aclocal/automake in module $$aclocaldir; \
	  (cd $$aclocaldir && aclocal && automake); \
	done
	for elmermodule in $(ELMER_MODULES); do \
	  echo; echo CONFIGURING ELMER MODULE $$elmermodule; echo; \
	  (cd $$elmermodule && \
	   autoconf && \
	   LIBS="-L$(CURDIR)/debian/tmp/usr/lib" \
	     CPPFLAGS="$(CPPFLAGS) -I$(CURDIR)/debian/tmp/usr/include -I/usr/include/freetype2" \
	     FCPPFLAGS="$(FCPPFLAGS) -I$(CURDIR)/debian/tmp/usr/include" \
	     CFLAGS="$(CFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
	     CXXFLAGS="$(CXXFLAGS) -I$(CURDIR)/debian/tmp/usr/include -I/usr/include/freetype2 -fPIC" \
	     FCFLAGS="$(FCFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
	     ./configure --prefix=/usr --with-metis=/usr \
	       --with-mpi-dir=/usr --with-mpi-inc-dir=/usr/include/mpi \
	       --with-blas=-lblas --with-lapack=-llapack); \
	  echo; echo BUILDING ELMER MODULE $$elmermodule; echo; \
	  make -C $$elmermodule; \
	  echo; echo INSTALLING ELMER MODULE $$elmermodule; echo; \
	  make -C $$elmermodule install DESTDIR=$(CURDIR)/debian/tmp; \
	done
	echo; echo BUILDING ELMER MODULE ElmerGUI; echo
	(set -e; cd ElmerGUI; \
	  export DEB_PY_VERSION=$(shell pyversions -d); \
	  export ELMER_HOME=/usr; \
	  export ELMERGUI_HOME=/usr/share/ElmerGUI; \
	  qmake; \
	  make)
	(cd ElmerGUIlogger && ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI qmake -project && ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI qmake && ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI make)
	echo; echo INSTALLING ELMER MODULE ElmerGUI; echo
	make -C ElmerGUI install ELMER_HOME=/usr ELMERGUI_HOME=/usr/share/ElmerGUI INSTALL_ROOT=$(CURDIR)/debian/tmp
	mv debian/tmp/usr/share/ElmerGUI/ElmerGUI debian/tmp/usr/bin/
	for edf_file in helmholtz navier-stokes resultoutput heatequation \
	    linearelasticity k-epsilon meshdeform; do \
	  mv debian/tmp/usr/share/ElmerGUI/edf/$$edf_file.xml \
	    debian/tmp/usr/share/ElmerGUI/edf-extra/; \
	done
	cp ElmerGUIlogger/ElmerGUIlogger debian/tmp/usr/bin/
# Last shifts and cleanups
	mv debian/tmp/usr/share/elmerpost/modules debian/tmp/usr/lib/elmerpost
	ln -s ../../lib/elmerpost debian/tmp/usr/share/elmerpost/modules
	rm -rf debian/tmp/usr/share/elmerpost/fonts/TrueType
	(cd debian/tmp/usr/share/elmerpost/fonts && \
	 ln -s ../../fonts/truetype/freefont TrueType)
	rm -f debian/tmp/usr/share/elmerpost/help/html_library-0.3/license.terms
	mv debian/tmp/usr/share/elmersolver/lib debian/tmp/usr/lib/elmersolver
	ln -s ../../lib/elmersolver debian/tmp/usr/share/elmersolver/lib
	rm -f debian/tmp/usr/lib/elmersolver/libelmersolver*
	install -d debian/tmp/usr/share/ElmerGUI/icons
	cp -a ElmerGUI/Application/icons/Mesh3D.png debian/tmp/usr/share/ElmerGUI/icons
	chmod -x debian/tmp/usr/lib/elmersolver/*
	chmod -x debian/tmp/usr/share/elmersolver/include/*
	chmod -x debian/tmp/usr/share/elmerpost/help/*.html
	chmod -x debian/tmp/usr/share/elmerpost/help/*.tcl
	chmod -x debian/tmp/usr/share/elmerpost/help/figs/*
	chmod -x debian/tmp/usr/share/elmerpost/help/html_library-0.3/*
	chmod -x debian/tmp/usr/share/elmerpost/help/matc/*.gif
	chmod -x debian/tmp/usr/share/elmerpost/help/matc/*.html
	chmod -x debian/tmp/usr/share/elmerpost/help/matc/lh-figs/*
	chmod -x debian/tmp/usr/share/elmerfront/lib/*
	chmod -x debian/tmp/usr/share/elmerfront/tcl/*.tcl*
	chmod -x debian/tmp/usr/share/elmerfront/tcl/*.edf
	chmod -x debian/tmp/usr/share/elmerfront/tcl/images/*
	chmod -x debian/tmp/usr/share/ElmerGUI/icons/*
	chmod -x debian/tmp/usr/share/elmerpost/lib/rgb.txt
	chmod -x debian/tmp/usr/share/elmerpost/lib/cameras/*
	chmod -x debian/tmp/usr/share/elmerpost/lib/colormaps/*
	chmod -x debian/tmp/usr/share/elmerpost/lib/images/*
	chmod -x debian/tmp/usr/share/elmerpost/tcl/*
	mv debian/tmp/usr/lib/elmersolver debian/tmp/usr/lib/elmersolver-5.5.0

## elmerfem 5.5.0.svn.4499.dfsg

=== debian/changelog ===
elmerfem (5.5.0.svn.4499.dfsg-1) unstable; urgency=low

  * New upstream revision.
  * Changed libelmersolver version to reflect new upstream versioning.
  * Changed control file to conform to Debian Science Policy Manual.
  * Moved ElmerGUI to ElmerGUI.real and added ElmerGUI script to call it with
    proper environment variables (closes: #583224).
  * Added source lintian overrides about Adam Powell's name.
  * Bumped Standards-Version.
  * Moved some usr/share files out of elmer-common to elmer and libelmer-dev.
  * Updated README.Debian to describe debconf configuration of ElmerGUI.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 06 Jul 2010 08:38:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: elmerfem
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
  gfortran, libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
  mpi-default-dev, mpi-default-bin,
@@ -14,13 +13,16 @@
  libopencascade-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
  libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.4), python-qt4-dev, libscotchmetis-dev,
  r-base-core
-Build-Conflicts: libatlas3gf-base
+Build-Conflicts: libatlas3gf-base, libatlas-base-dev
+Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/elmerfem.git
 Homepage: http://www.csc.fi/elmer/
 
 Package: elmer
 Architecture: any
 Section: science
 Depends: elmer-common (= ${source:Version}), ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
+Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
 Suggests: elmer-doc
 Description: finite element multiphysics suite - binaries
  The Elmer multiphysics simulation package includes physical models of
@@ -60,7 +62,7 @@
  .
  This package provides the architecture-independent files for Elmer.
 
-Package: libelmersolver-5.5.0
+Package: libelmersolver-6.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -85,7 +87,8 @@
 
 Package: libelmer-dev
 Architecture: any
-Depends: elmer (= ${binary:Version}), libelmersolver-5.5.0 (= ${binary:Version}), libarpack2-dev, ${misc:Depends}
+Depends: elmer (= ${binary:Version}), libelmersolver-6.0 (= ${binary:Version}), libarpack2-dev, ${misc:Depends}
+Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
 Section: libdevel
 Description: finite element multiphysics suite - development files
  The Elmer multiphysics simulation package includes physical models of

=== debian/rules ===
--- 
+++ 
@@ -165,4 +165,4 @@
 	chmod -x debian/tmp/usr/share/elmerpost/lib/colormaps/*
 	chmod -x debian/tmp/usr/share/elmerpost/lib/images/*
 	chmod -x debian/tmp/usr/share/elmerpost/tcl/*
-	mv debian/tmp/usr/lib/elmersolver debian/tmp/usr/lib/elmersolver-5.5.0
+	mv debian/tmp/usr/lib/elmersolver debian/tmp/usr/lib/elmersolver-6.0

## elmerfem 5.5.0.svn.4897.dfsg

=== fem/tests/Step_sst-kw-wf/Makefile ===
# Backward facing step / sst  k-omega with wall function
#
run:
	$(ELMER_GRID) 1 2 Step;
#	$(ELMER_SOLVER)

clean:
	/bin/rm test.log temp.log mon.out
	/bin/rm -rf Step

=== debian/changelog ===
elmerfem (5.5.0.svn.4897.dfsg-1ubuntu1) natty; urgency=low

  * Sync from Debian unstable.
  * Patch: ld-as-needed.patch: Correct linking order for Python libraries.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 13 Jan 2011 11:50:19 +0000

elmerfem (5.5.0.svn.4897.dfsg-1) unstable; urgency=low

  [ Stefano Rivera <stefano@rivera.za.net> ]
  * Fix for gcc 4.5 FTBFS (closes: #564978).
  * Fix for FTBFS with binutils-gold (closes: #602835).

  [ Adam C. Powell, IV ]
  * New upstream, merged five Debian patches upstream.
  * Upstream fixes the squash geometry file bug (closes: #609044).
  * New ElmerClips utility in utils/ElmerClips.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 05 Jan 2011 13:21:46 -0500

elmerfem (5.5.0.svn.4716.dfsg-5) unstable; urgency=low

  * Final double -> qreal change, really! (closes: #602424).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 07 Nov 2010 18:35:07 -0500

elmerfem (5.5.0.svn.4716.dfsg-4) unstable; urgency=low

  * Significantly expanded qreal casting patch, I think I've got everything now
    (closes: #602424).  Thanks: Phil Endecott.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 05 Nov 2010 11:02:09 -0400

elmerfem (5.5.0.svn.4716.dfsg-3) unstable; urgency=low

  * Added another file to qreal casting patch (closes: #602395).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 04 Nov 2010 09:41:59 -0400

elmerfem (5.5.0.svn.4716.dfsg-2) unstable; urgency=low

  [ David Sugar <david.sugar@canonical.com> ]
  * Casting patch for qreal (is not double on armel) (closes: #581023).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 28 Oct 2010 13:46:20 -0400

elmerfem (5.5.0.svn.4716.dfsg-1) unstable; urgency=low

  * New upstream revision, merged several Debian patches upstream.
  * Forward-ported all patches and refreshed with new quiltrc.
  * Bumped shared library version to 6.1.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 18 Oct 2010 20:36:03 -0400

elmerfem (5.5.0.svn.4499.dfsg-2) unstable; urgency=low

  * Added MUMPS-Scotch linkage (closes: #586340).
  * Added advection-diffusion to available modules in debconf template.
  * Patched advection-diffusion model to use its own convection keyword by
    default, and include that keyword in the GUI.
  * Fail on errors while compiling/installing any modules.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 03 Aug 2010 10:39:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: elmerfem
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
  gfortran, libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
  mpi-default-dev, mpi-default-bin,
- libhypre-dev, libsuitesparse-dev, libarpack2-dev, libreadline-dev,
- libncurses5-dev, libx11-dev, tk8.4-dev, tcl8.4-dev, libfreetype6-dev,
+ libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev,
+ libreadline-dev, libncurses5-dev,
+ libx11-dev, tk8.4-dev, tcl8.4-dev, libfreetype6-dev,
  libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
  libopencascade-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
  libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.4), python-qt4-dev, libscotchmetis-dev,
- r-base-core
+ r-base-core, libavcodec-dev, libavutil-dev, libswscale-dev
 Build-Conflicts: libatlas3gf-base, libatlas-base-dev
 Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/elmerfem.git
@@ -62,7 +64,7 @@
  .
  This package provides the architecture-independent files for Elmer.
 
-Package: libelmersolver-6.0
+Package: libelmersolver-6.1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -87,7 +89,7 @@
 
 Package: libelmer-dev
 Architecture: any
-Depends: elmer (= ${binary:Version}), libelmersolver-6.0 (= ${binary:Version}), libarpack2-dev, ${misc:Depends}
+Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}), libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev, ${misc:Depends}
 Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
 Section: libdevel
 Description: finite element multiphysics suite - development files

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,9 @@
 	if [ -e ElmerGUIlogger/Makefile ]; then \
 	  make -C ElmerGUIlogger distclean; \
 	fi
+	if [ -e utils/ElmerClips/Makefile ]; then \
+	  make -C utils/ElmerClips distclean; \
+	fi 
 	for missingfile in $(MISSING_FILES); do rm -f $$missingfile; done
 	for backupfile in $(BACKUP_FILES); do \
 	  if [ -e $$backupfile.bak ]; then \
@@ -74,8 +77,7 @@
 	  ElmerGUIlogger/ElmerGUIlogger.pro
 	rm -f stamp-*
 	if [ -d .pc ]; then \
-	  QUILT_PATCHES=debian/patches quilt pop -a; \
-	  rm -rf .pc; \
+	  QUILT_PATCHES=debian/patches quilt pop -a && rm -rf .pc; \
 	fi
 	dh_clean
 
@@ -99,7 +101,7 @@
 	  echo Running aclocal/automake in module $$aclocaldir; \
 	  (cd $$aclocaldir && aclocal && automake); \
 	done
-	for elmermodule in $(ELMER_MODULES); do \
+	set -e; for elmermodule in $(ELMER_MODULES); do \
 	  echo; echo CONFIGURING ELMER MODULE $$elmermodule; echo; \
 	  (cd $$elmermodule && \
 	   autoconf && \
@@ -111,7 +113,8 @@
 	     FCFLAGS="$(FCFLAGS) -I$(CURDIR)/debian/tmp/usr/include -fPIC" \
 	     ./configure --prefix=/usr --with-metis=/usr \
 	       --with-mpi-dir=/usr --with-mpi-inc-dir=/usr/include/mpi \
-	       --with-blas=-lblas --with-lapack=-llapack); \
+	       --with-blas=-lblas --with-lapack=-llapack \
+	       --with-mumps=dmumps_scotch); \
 	  echo; echo BUILDING ELMER MODULE $$elmermodule; echo; \
 	  make -C $$elmermodule; \
 	  echo; echo INSTALLING ELMER MODULE $$elmermodule; echo; \
@@ -134,6 +137,8 @@
 	    debian/tmp/usr/share/ElmerGUI/edf-extra/; \
 	done
 	cp ElmerGUIlogger/ElmerGUIlogger debian/tmp/usr/bin/
+	(cd utils/ElmerClips/ && qmake && make)
+	install utils/ElmerClips/ElmerClips debian/tmp/usr/bin/ElmerClips
 # Last shifts and cleanups
 	mv debian/tmp/usr/share/elmerpost/modules debian/tmp/usr/lib/elmerpost
 	ln -s ../../lib/elmerpost debian/tmp/usr/share/elmerpost/modules
@@ -161,8 +166,3 @@
 	chmod -x debian/tmp/usr/share/elmerfront/tcl/images/*
 	chmod -x debian/tmp/usr/share/ElmerGUI/icons/*
 	chmod -x debian/tmp/usr/share/elmerpost/lib/rgb.txt
-	chmod -x debian/tmp/usr/share/elmerpost/lib/cameras/*
-	chmod -x debian/tmp/usr/share/elmerpost/lib/colormaps/*
-	chmod -x debian/tmp/usr/share/elmerpost/lib/images/*
-	chmod -x debian/tmp/usr/share/elmerpost/tcl/*
-	mv debian/tmp/usr/lib/elmersolver debian/tmp/usr/lib/elmersolver-6.0

## elmerfem 5.5.0.svn.5210.dfsg

=== debian/changelog ===
elmerfem (5.5.0.svn.5210.dfsg-1) unstable; urgency=low

  * New upstream revision.
  * Copyright file elmergrid/LICENSE includes a linking exception for Scotch
    (closes: #618696).
  * Removed file elmergrid/acx_metis.m4 .
  * Updated debian/copyright file to reflect these changes.
  * Patched fem/acx_elmer.m4 to set revision for diagnostics.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 25 May 2011 07:25:17 -0400

elmerfem (5.5.0.svn.5100.dfsg-1) unstable; urgency=low

  [ Stefano Rivera <stefano@rivera.za.net> ]
  * Switch library order to fix FTBFS with binutils-gold (closes: #609874).

  [ Christian Perrier ]
  * Fixes to cs.po (closes: #610077).

  [ Adam C. Powell, IV ]
  * New upstream revision, added one file to rules BACKUP_FILES.
  * Build ElmerGUI without stripping it.
  * Debugging packages for elmer and libelmersolver (closes: #609848).
  * Move some scripts to libelmer-dev.
  * Update VTK to version 5.6 (closes: #614952).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 09 Mar 2011 16:31:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: elmerfem
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
@@ -13,7 +12,7 @@
  libx11-dev, tk8.4-dev, tcl8.4-dev, libfreetype6-dev,
  libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
  libopencascade-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
- libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.4), python-qt4-dev, libscotchmetis-dev,
+ libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.6), python-qt4-dev, libscotchmetis-dev,
  r-base-core, libavcodec-dev, libavutil-dev, libswscale-dev
 Build-Conflicts: libatlas3gf-base, libatlas-base-dev
 Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
@@ -42,6 +41,26 @@
  .
  This package provides the Elmer binaries, including the solver (single- and
  multi-processor versions), GUI, and post-processor.
+
+Package: elmer-dbg
+Architecture: any
+Section: debug
+Depends: elmer (= ${binary:Version}), ${misc:Depends}
+Description: finite element multiphysics suite - debugging symbols
+ The Elmer multiphysics simulation package includes physical models of
+ fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
+ acoustics, among others. These are described by partial differential equations
+ which Elmer solves by the Finite Element Method (FEM).
+ .
+ Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
+ (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
+ resulting from FEM discretization. It includes pre- and post-processors, and
+ several examples illustrating simulation of various physical phenomena.
+ .
+ Elmer's lead institution is CSC in collaboration with Finnish universities,
+ research institutes, and industry.
+ .
+ This package provides the debugging symbols for binaries in the elmer package.
 
 Package: elmer-common
 Architecture: all
@@ -87,6 +106,26 @@
  .
  This package provides the Elmer solver shared library.
 
+Package: libelmersolver-dbg
+Architecture: any
+Section: debug
+Depends: libelmersolver-6.1 (= ${binary:Version}), ${misc:Depends}
+Description: finite element multiphysics suite - library debugging symbols
+ The Elmer multiphysics simulation package includes physical models of
+ fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
+ acoustics, among others. These are described by partial differential equations
+ which Elmer solves by the Finite Element Method (FEM).
+ .
+ Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
+ (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
+ resulting from FEM discretization. It includes pre- and post-processors, and
+ several examples illustrating simulation of various physical phenomena.
+ .
+ Elmer's lead institution is CSC in collaboration with Finnish universities,
+ research institutes, and industry.
+ .
+ This package provides the Elmer solver shared library's debugging symbols.
+
 Package: libelmer-dev
 Architecture: any
 Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}), libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,8 @@
   post/src/elements/Makefile.in post/src/glaux/Makefile.in \
   post/src/graphics/Makefile.in post/src/modules/Makefile.in \
   post/src/objects/Makefile.in post/src/sico2elmer/Makefile.in \
-  post/src/tcl/Makefile.in post/src/tk/Makefile.in post/src/visuals/Makefile.in
+  post/src/tcl/Makefile.in post/src/tk/Makefile.in \
+  post/src/visuals/Makefile.in ElmerGUIlogger/ElmerGUIlogger.pro
 
 MISSING_FILES = eio/NEWS eio/README eio/AUTHORS eio/ChangeLog \
   matc/NEWS matc/README matc/AUTHORS matc/ChangeLog matc/COPYING \
@@ -73,8 +74,7 @@
 	  fi; \
 	done
 	rm -rf elmergrid/src/metis post/src/fonts/TrueType
-	rm -rf ElmerGUI/PythonQt/lib ElmerGUI/matc/lib ElmerGUI/netgen/ngcore \
-	  ElmerGUIlogger/ElmerGUIlogger.pro
+	rm -rf ElmerGUI/PythonQt/lib ElmerGUI/matc/lib ElmerGUI/netgen/ngcore
 	rm -f stamp-*
 	if [ -d .pc ]; then \
 	  QUILT_PATCHES=debian/patches quilt pop -a && rm -rf .pc; \
@@ -92,10 +92,10 @@
 stamp-build: patch
 	dh_testdir
 	for backupfile in $(BACKUP_FILES); do \
-	  cp $$backupfile $$backupfile.bak; \
+	  cp -a $$backupfile $$backupfile.bak; \
 	done
 	mkdir elmergrid/src/metis
-	mkdir post/src/fonts/TrueType
+	install -d post/src/fonts/TrueType
 	for missingfile in $(MISSING_FILES); do touch $$missingfile; done
 	for aclocaldir in eio matc elmerparam hutiter meshgen2d fem front elmergrid post; do \
 	  echo Running aclocal/automake in module $$aclocaldir; \

## elmerfem 6.1.0.svn.5272.dfsg

=== misc/netcdf/Makefile ===
################################################
### Compiles the libraries, by Vili Forsell
################################################

##### MACROS

# The modules used by the main program
MODULES = NetCDFGeneralUtils.f90 NetCDFGridUtils.f90 NetCDFInterpolate.f90 CustomTimeInterpolation.f90 MapperUtils.f90
# The file for the solver
MAIN = GridDataMapper.f90 cs2cs_interface.c
# The example Solver Input Files:
# case.sif is the latest example for hands-on experiments
SIFS = $(WORK_DIRECTORY)case.sif
# Includes NetCDF and such from the include directory
INCLUDE_FLAGS = -I/usr/include 
# NetCDF library path and flags to catch the necessary headers
LIBRARY_FLAGS = -L/usr/lib -lnetcdff -lnetcdf -lproj
# The shared library (.so) for using in Elmer via a Solver Input File
OUTFILE = GridLib.so 
# Compiles it all with Elmer Fortran compiler
COMPILER = elmerf90
# A path for back-up folder (relatively obsolete via use of SVN)
BACKUP = ./Backup/
# Packaging macros for easily transporting latest backups elsewhere
PACKET = GridMap.tar
TAR_FLAGS = cf
# Documentation files
DOCUMENTATION = ./doc/*
# Work directory; chosen to be called "data" and assumed to contain mesh files, ELMER_STARTINFO, case.sif, etc.
WORK_DIRECTORY = ./data/

##### RULES

# Builds the shared library for Elmer
compile: modules
	$(COMPILER) $(INCLUDE_FLAGS) $(LIBRARY_FLAGS) -o $(OUTFILE) $(MAIN) $(MODULES)
	cp $(OUTFILE) $(WORK_DIRECTORY) # Copies the library file to the work directory

# Compiles modules used by the main file
modules:
	$(COMPILER) -c $(INCLUDE_FLAGS) $(LIBRARY_FLAGS) $(MODULES)

# Cleans extra stuff
clean:
	rm *.mod *.o *.so

# Saves the work in a backup location
save:
	cp $(MODULES) $(BACKUP)
	cp $(MAIN) $(BACKUP)
	cp $(SIFS) $(BACKUP)

# Packs the work for transportation
pack:
	tar $(TAR_FLAGS) $(PACKET) $(MODULES) $(SIFS) $(MAIN) $(DOCUMENTATION)
	cp $(PACKET) $(BACKUP)

=== debian/changelog ===
elmerfem (6.1.0.svn.5272.dfsg-1ubuntu2) oneiric; urgency=low

  * Rebuild to drop obsolete library dependencies on armel.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Sep 2011 22:20:42 +0200

elmerfem (6.1.0.svn.5272.dfsg-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + libav07.patch: CODEC_TYPE_VIDEO is no longer defined, use
      AVMEDIA_TYPE_VIDEO

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 11 Aug 2011 13:54:04 +0200

elmerfem (6.1.0.svn.5272.dfsg-1) unstable; urgency=low

  * New upstream revision, switching to upstream version number.
  * Added simple build-arch and build-indep targets to please lintian.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 29 Jul 2011 11:58:11 -0400

elmerfem (5.5.0.svn.5210.dfsg-1ubuntu1) oneiric; urgency=low

  * Sync from Debian unstable.
  * libav07.patch: CODEC_TYPE_VIDEO is no longer defined, use
    AVMEDIA_TYPE_VIDEO

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 12 Jun 2011 16:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
  gfortran, libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
  mpi-default-dev, mpi-default-bin,

=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,8 @@
 # In a bit of a hack, the "build" target configures, builds and installs, so
 # modules can depend on each other
 build: stamp-build
+build-arch: stamp-build
+build-indep: stamp-build
 stamp-build: patch
 	dh_testdir
 	for backupfile in $(BACKUP_FILES); do \
@@ -165,4 +167,3 @@
 	chmod -x debian/tmp/usr/share/elmerfront/tcl/*.edf
 	chmod -x debian/tmp/usr/share/elmerfront/tcl/images/*
 	chmod -x debian/tmp/usr/share/ElmerGUI/icons/*
-	chmod -x debian/tmp/usr/share/elmerpost/lib/rgb.txt

## elmerfem 6.1.0.svn.5396.dfsg

=== debian/changelog ===
elmerfem (6.1.0.svn.5396.dfsg-4) unstable; urgency=low

  * Added libparpack2-dev to Build-Depends (closes: #652061).
  * Changed tcl/tk 8.4 dependency to 8.5.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 08 Jan 2012 18:59:57 -0800

elmerfem (6.1.0.svn.5396.dfsg-3) unstable; urgency=low

  * Added BLAS/LAPACK -dev libraries and gfortran to libelmer-dev Depends.
  * Changed opencascade to oce.
  * Refreshed two patches for line shifts in upstream changes.
  * Bumped VTK version to 5.8.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 05 Dec 2011 20:12:04 -0500

elmerfem (6.1.0.svn.5396.dfsg-2) unstable; urgency=low

  * New binary package elmergui-samples (closes: #645620).
  * Cleared executable to remove lintian warning.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 18 Oct 2011 09:20:59 -0400

elmerfem (6.1.0.svn.5396.dfsg-1) unstable; urgency=low

  * New upstream revision.
  * Added DEB_PY_VERSIONS to ElmerGUI clean to make sure that works.
  * Patched ElmerClips to use libav/0.7.1 (closes: #640548).
  * Build-Conflict with gcc-multilib (closes: #640504).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sat, 01 Oct 2011 22:37:15 +0900

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
  gfortran, libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
  mpi-default-dev, mpi-default-bin,
- libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev,
+ libhypre-dev, libsuitesparse-dev, libarpack2-dev, libparpack2-dev,
+ libmumps-scotch-dev,
  libreadline-dev, libncurses5-dev,
- libx11-dev, tk8.4-dev, tcl8.4-dev, libfreetype6-dev,
+ libx11-dev, tk8.5-dev, tcl8.5-dev, libfreetype6-dev,
  libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
- libopencascade-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
- libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.6), python-qt4-dev, libscotchmetis-dev,
+ liboce-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
+ libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.8), python-qt4-dev, libscotchmetis-dev,
  r-base-core, libavcodec-dev, libavutil-dev, libswscale-dev
-Build-Conflicts: libatlas3gf-base, libatlas-base-dev
+Build-Conflicts: libatlas3gf-base, libatlas-base-dev, gcc-multilib
 Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/elmerfem.git
 Homepage: http://www.csc.fi/elmer/
@@ -128,7 +129,10 @@
 
 Package: libelmer-dev
 Architecture: any
-Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}), libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev, ${misc:Depends}
+Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}),
+ libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev,
+ libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
+ mpi-default-dev, mpi-default-bin, gfortran, ${misc:Depends}
 Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
 Section: libdevel
 Description: finite element multiphysics suite - development files
@@ -148,3 +152,17 @@
  This package contains the static libraries and header files for eio, huti, and
  matc, as well as the Elmer solver shared library symlink. These are used for
  developing Elmer, and are not needed to run the software.
+
+Package: elmergui-samples
+Architecture: all
+Section: science
+Depends: ${misc:Depends}
+Suggests: elmer, elmer-doc
+Description: ElmerGUI samples directory
+ The Elmer multiphysics simulation package includes physical models of
+ fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
+ acoustics, among others. These are described by partial differential equations
+ which Elmer solves by the Finite Element Method (FEM).
+ .
+ This package contains the ElmerGUI samples directory with files needed to run
+ some of the tutorials in the elmer-doc package.

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,8 @@
   elmergrid/COPYING elmergrid/INSTALL elmergrid/src/metis/Makefile.am \
   post/NEWS post/AUTHORS post/ChangeLog post/COPYING post/INSTALL
 
-clean:
+# This needs patch because otherwise ElmerGUI clean won't work
+clean: patch
 	dh_testdir
 	for elmermodule in $(ELMER_MODULES); do \
 	  if [ -e $$elmermodule/Makefile ]; then \
@@ -59,6 +60,7 @@
 	  fi; \
 	done
 	if [ -e ElmerGUI/Makefile ]; then \
+	  export DEB_PY_VERSION=$(shell pyversions -d); \
 	  make -C ElmerGUI distclean; \
 	fi
 	if [ -e ElmerGUIlogger/Makefile ]; then \
@@ -165,5 +167,3 @@
 	chmod -x debian/tmp/usr/share/elmerfront/lib/*
 	chmod -x debian/tmp/usr/share/elmerfront/tcl/*.tcl*
 	chmod -x debian/tmp/usr/share/elmerfront/tcl/*.edf
-	chmod -x debian/tmp/usr/share/elmerfront/tcl/images/*
-	chmod -x debian/tmp/usr/share/ElmerGUI/icons/*
